/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#include "SrvAdvMsgHeaderExts.h"

static asn_TYPE_member_t asn_MBR_SrvAdvMsgHeaderExts_1[] = {
	{ ATF_POINTER, 0, 0,
		(ASN_TAG_CLASS_UNIVERSAL | (16 << 2)),
		0,
		&asn_DEF_Extension_22P0,
		0,	/* Defer constraints checking to the member type */
		0,	/* No PER visible constraints */
		0,
		""
		},
};
static const ber_tlv_tag_t asn_DEF_SrvAdvMsgHeaderExts_tags_1[] = {
	(ASN_TAG_CLASS_UNIVERSAL | (16 << 2))
};
static asn_SET_OF_specifics_t asn_SPC_SrvAdvMsgHeaderExts_specs_1 = {
	sizeof(struct SrvAdvMsgHeaderExts),
	offsetof(struct SrvAdvMsgHeaderExts, _asn_ctx),
	0,	/* XER encoding is XMLDelimitedItemList */
};
asn_TYPE_descriptor_t asn_DEF_SrvAdvMsgHeaderExts = {
	"SrvAdvMsgHeaderExts",
	"SrvAdvMsgHeaderExts",
	SEQUENCE_OF_free,
	SEQUENCE_OF_print,
	SEQUENCE_OF_constraint,
	SEQUENCE_OF_decode_ber,
	SEQUENCE_OF_encode_der,
	SEQUENCE_OF_decode_xer,
	SEQUENCE_OF_encode_xer,
	SEQUENCE_OF_decode_uper,
	SEQUENCE_OF_encode_uper,
	0,	/* Use generic outmost tag fetcher */
	asn_DEF_SrvAdvMsgHeaderExts_tags_1,
	sizeof(asn_DEF_SrvAdvMsgHeaderExts_tags_1)
		/sizeof(asn_DEF_SrvAdvMsgHeaderExts_tags_1[0]), /* 1 */
	asn_DEF_SrvAdvMsgHeaderExts_tags_1,	/* Same as above */
	sizeof(asn_DEF_SrvAdvMsgHeaderExts_tags_1)
		/sizeof(asn_DEF_SrvAdvMsgHeaderExts_tags_1[0]), /* 1 */
	0,	/* No PER visible constraints */
	asn_MBR_SrvAdvMsgHeaderExts_1,
	1,	/* Single element */
	&asn_SPC_SrvAdvMsgHeaderExts_specs_1	/* Additional specs */
};

